List deployed contracts data
Return a filtered lean representation of the deployed contracts data on all blockchains (paginated)
GET
/
tokenization
/
contracts
TypeScript
const response: Promise<FireblocksResponse<DeployedContractsPaginatedResponse>> = fireblocks.deployedContracts.getDeployedContracts(deployedContractsApiGetDeployedContractsRequest);CompletableFuture<ApiResponse<DeployedContractsPaginatedResponse>> response = fireblocks.deployedContracts().getDeployedContracts(pageCursor, pageSize, contractAddress, baseAssetId, contractTemplateId);response = fireblocks.deployed_contracts.get_deployed_contracts(page_cursor, page_size, contract_address, base_asset_id, contract_template_id);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/contractsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
"contractTemplateId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
"blockchainId": "<string>"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
Page cursor to get the next page
Number of items per page, requesting more then max will return max items
Required range:
1 <= x <= 100The contract's onchain address
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<DeployedContractsPaginatedResponse>> = fireblocks.deployedContracts.getDeployedContracts(deployedContractsApiGetDeployedContractsRequest);CompletableFuture<ApiResponse<DeployedContractsPaginatedResponse>> response = fireblocks.deployedContracts().getDeployedContracts(pageCursor, pageSize, contractAddress, baseAssetId, contractTemplateId);response = fireblocks.deployed_contracts.get_deployed_contracts(page_cursor, page_size, contract_address, base_asset_id, contract_template_id);